Skip to main content
PUT
Update a product

Authorizations

X-API-Key
string
header
required

Path Parameters

shopId
string
required

Shop ID (ObjectId)

productId
string
required

Product ID (ObjectId)

Body

application/json
name
string
Required string length: 1 - 200
serverId
string
price
number
Required range: x >= 0
commands
string[]
description
string
Maximum string length: 5000
shortDescription
string
Maximum string length: 500
translations
object
images
string[]
compareAtPrice
number
Required range: x >= 0
sku
string
Maximum string length: 100
requirements
object
inventory
object
isActive
boolean
sortOrder
number
pricingMode
enum<string>
Available options:
variants,
quantity
minQuantity
number
Required range: x >= 1
maxQuantity
number
Required range: x >= 1
stepQuantity
number
Required range: x >= 1
variants
object[]
packageSuggestions
object[]
paymentMethods
object[]

Response

OK

success
boolean
Example:

true

data
object
message
string